#ifndef __Bottle_h
#define __Bottle_h

#include <string>
#include <vector>
#include "Operation.h"

class Bottle {
    std::string name;
    std::vector<Operation*> operationVector;
  public:
    Bottle(std::string name);
    std::string getName();
    void addOperation(std::string name);
    std::vector<Operation*>::iterator getOperationsBegin();
    std::vector<Operation*>::iterator getOperationsEnd();
};
#endif
