#ifndef __Line_h
#define __Line_h

#include <string>
#include <vector>
#include "Device.h"

class Line {
    std::string name;
    std::vector<RootDevice*> deviceVector;
  public:
    Line(std::string name);
    int getDeviceVectorSize();
    void addDevice(RootDevice* device);
    RootDevice* getRootDevice(int index);  
};
#endif
