#include <iostream>
#include <fstream>
#include "Line.h"
#include "Bottle.h"
#include "Device.h"

using namespace std;
bool jobIs(Line*);

int main() {
    
    Line* con = new Line("Buteliu konvejeris");
    (*con).addDevice(new RootDevice("Butelio modelis", 10));
    (*con).addDevice(new TapDevice("Alus", 3));
    (*con).addDevice(new CapDevice("Kamsteliai", 4));
    (*con).addDevice(new LabelDevice("Etiketes", 6));
    (*con).addDevice(new StatisticDevice("Statistika", 2));    

    int i, j;
    do {
        for(i = 0; i < (*con).getDeviceVectorSize(); i++) {
            if(i == 0) {                  
                j = 100;                  
                while(j > 0) {
                    (*con).getRootDevice(i)->doJob(new Bottle("Butelis"));     
                    j--;
                }                  
            }else {
                if(i == 0) i++; 
                j = 100;
                while ((j > 0) && ((*con).getRootDevice(i-1)->getBottlesCount() > 0)) {
                    (*con).getRootDevice(i)->doJob( (*con).getRootDevice(i-1)->getBottle() );
                    (*con).getRootDevice(i-1)->clearPointer();
                    j--;
                }
           }           
        } // for end
    } while (jobIs(con));// true   
    (*con).getRootDevice(i-1)->closeFile();
}
//-----------------------------------------------------------------
bool jobIs(Line* con) {
    for (int i = 0; i < (*con).getDeviceVectorSize() - 1; i++) {
        if ((*con).getRootDevice(i)->getBottlesCount() > 0 ) 
            return true; 
    }
    return false;     
}
